org.apache.hc.core5.http2.impl.nio

## Class FrameOutputBuffer

- java.lang.Object
- - org.apache.hc.core5.http2.impl.nio.FrameOutputBuffer

-     public final class FrameOutputBuffer
      extends Object

  Frame output buffer for HTTP/2 non-blocking connections.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameOutputBuffer(BasicH2TransportMetrics metrics, int maxFramePayloadSize)`
    `FrameOutputBuffer(int maxFramePayloadSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `expand(int maxFramePayloadSize)` Deprecated. Misnomer. Use `resize(int)`.
    `void` | `flush(WritableByteChannel channel)`
    `int` | `getMaxFramePayloadSize()`
    `H2TransportMetrics` | `getMetrics()`
    `boolean` | `isEmpty()`
    `void` | `resize(int maxFramePayloadSize)`
    `void` | `write(RawFrame frame, WritableByteChannel channel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameOutputBuffer

          public FrameOutputBuffer(BasicH2TransportMetrics metrics,
                                   int maxFramePayloadSize)

    - #### FrameOutputBuffer

          public FrameOutputBuffer(int maxFramePayloadSize)

  - ### Method Detail

    - #### expand

          @Deprecated
          public void expand(int maxFramePayloadSize)

      Deprecated. Misnomer. Use `resize(int)`.

    - #### getMaxFramePayloadSize

          public int getMaxFramePayloadSize()

      Since:
        5.2

    - #### resize

          public void resize(int maxFramePayloadSize)

      Since:
        5.2

    - #### write

          public void write(RawFrame frame,
                            WritableByteChannel channel)
                     throws IOException

      Throws:
        `IOException`

    - #### flush

          public void flush(WritableByteChannel channel)
                     throws IOException

      Throws:
        `IOException`

    - #### isEmpty

          public boolean isEmpty()

    - #### getMetrics

          public H2TransportMetrics getMetrics()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.